Index: ram/showcfg.c
===================================================================
--- ram/showcfg.c	(revision 60288f548947383de9a52a06e402df2698a3ce5d)
+++ ram/showcfg.c	(revision 7258c6ac4de2518c5430095742a27be7af0c89d7)
@@ -31,22 +31,22 @@
 /* external functions */
 
-extern	unsigned	exp_c(unsigned c);
+extern	uint16_t	exp_c(uint16_t c);
 
 extern	void	enterit(void);
-extern	void	idpoint(short x, short y, short pen);
+extern	void	idpoint(int16_t x, int16_t y, int16_t pen);
 extern	void	nokey(void);
 
-extern	short	et_mcfn(short n);
-extern	short	ef_mcfn(short n);
-extern	short	rd_mcfn(short n);
-extern	short	nd_mcfn(short n, short k);
-extern	short	et_mwsn(short nn);
-extern	short	ef_mwsn(short nn);
-extern	short	rd_mwsn(short nn);
-extern	short	nd_mwsn(short nn, short k);
+extern	int16_t	et_mcfn(int16_t n);
+extern	int16_t	ef_mcfn(int16_t n);
+extern	int16_t	rd_mcfn(int16_t n);
+extern	int16_t	nd_mcfn(int16_t n, int16_t k);
+extern	int16_t	et_mwsn(int16_t nn);
+extern	int16_t	ef_mwsn(int16_t nn);
+extern	int16_t	rd_mwsn(int16_t nn);
+extern	int16_t	nd_mwsn(int16_t nn, int16_t k);
 
 /* forward references */
 
-short	imfnbox(short n);
+int16_t	imfnbox(int16_t n);
 
 /* 
@@ -56,28 +56,28 @@
 /* variables defined elsewhere */
 
-extern	void		(*point)(short x, short y, short pen);
+extern	void		(*point)(int16_t x, int16_t y, int16_t pen);
 					/* point plotting function pointer */
 extern	void		(*x_key)(void);	/* "X" key handler pointer */
 
-extern	short		LftEdge;	/* left edge of current box */
-extern	short		TopEdge;	/* top edge of current box */
-extern	short		RgtEdge;	/* right edge of current box */
-extern	short		BotEdge;	/* bottom edge of current box */
-
-extern	short		curslim;	/* cursor changeover point */
-extern	short		curvce;		/* currently edited voice */
-extern	short		hitbox;		/* selected box number */
-extern	short		hitcx;		/* selection cursor x value */
-extern	short		hitcy;		/* selection cursor y value */
-extern	short		stccol;		/* text cursor column */
-extern	short		stcrow;		/* text cursor row */
-extern	short		wcflag;		/* ws/cf menu select flag (cf=0, ws=1) */
-extern	short		wcmcol;		/* ws/cf menu label column */
-extern	short		wcmrow;		/* ws/cf menu label row */
-extern	short		wcpage;		/* ws/cf menu page */
-extern	short		wmcsel;		/* ws slot select */
-extern	short		wmctag;		/* ws/cf display update flag */
-
-extern	unsigned	*instob;	/* instrument display object pointer */
+extern	int16_t		LftEdge;	/* left edge of current box */
+extern	int16_t		TopEdge;	/* top edge of current box */
+extern	int16_t		RgtEdge;	/* right edge of current box */
+extern	int16_t		BotEdge;	/* bottom edge of current box */
+
+extern	int16_t		curslim;	/* cursor changeover point */
+extern	int16_t		curvce;		/* currently edited voice */
+extern	int16_t		hitbox;		/* selected box number */
+extern	int16_t		hitcx;		/* selection cursor x value */
+extern	int16_t		hitcy;		/* selection cursor y value */
+extern	int16_t		stccol;		/* text cursor column */
+extern	int16_t		stcrow;		/* text cursor row */
+extern	int16_t		wcflag;		/* ws/cf menu select flag (cf=0, ws=1) */
+extern	int16_t		wcmcol;		/* ws/cf menu label column */
+extern	int16_t		wcmrow;		/* ws/cf menu label row */
+extern	int16_t		wcpage;		/* ws/cf menu page */
+extern	int16_t		wmcsel;		/* ws slot select */
+extern	int16_t		wmctag;		/* ws/cf display update flag */
+
+extern	uint16_t	*instob;	/* instrument display object pointer */
 
 extern	struct	octent	*idoct;		/* object control table pointer */
@@ -130,5 +130,5 @@
 */
 
-short	patctab[MAXPAT] = {	/* pattern colors */
+int16_t	patctab[MAXPAT] = {	/* pattern colors */
 
 	0,	/* 1 */
@@ -173,5 +173,5 @@
 */
 
-short	pat[MAXPAT][16] = {		/* configuration pattern elements */
+int16_t	pat[MAXPAT][16] = {		/* configuration pattern elements */
 
 	{0x0000, 0x0000, 0x0000, 0x0000,	/* 1 */
@@ -367,8 +367,8 @@
 */
 
-void putpat(short pn, short px, short py, short patc)
+void putpat(int16_t pn, int16_t px, int16_t py, int16_t patc)
 {
-	register short xp, yp, pr, pc;
-	register unsigned pw;
+	register int16_t xp, yp, pr, pc;
+	register uint16_t pw;
 
 	if (v_regs[5] & 0x0180)
@@ -408,9 +408,9 @@
 */
 
-void dispcfg(short nn)
+void dispcfg(int16_t nn)
 {
-	register short i, np;
-	short idbuf[8];
-	register char *cfgdat, *cfp;
+	register int16_t i, np;
+	int16_t idbuf[8];
+	register int8_t *cfgdat, *cfp;
 
 	if (v_regs[5] & 0x0180)
@@ -444,5 +444,5 @@
 */
 
-void showcfg(short nn)
+void showcfg(int16_t nn)
 {
 	LftEdge = LFT_EDGE;
@@ -472,9 +472,9 @@
 */
 
-void dispws(short ws)
+void dispws(int16_t ws)
 {
-	register unsigned *wsp;
-	register short i, x, y;
-	char buf[64];
+	register uint16_t *wsp;
+	register int16_t i, x, y;
+	int8_t buf[64];
 
 	if (ws GE NUMWAVS)		/* number must be valid */
@@ -507,8 +507,8 @@
 */
 
-void wcmenu(short wc)
+void wcmenu(int16_t wc)
 {
-	register short i;
-	char buf[32];
+	register int16_t i;
+	int8_t buf[32];
 
 	wcflag = wc;				/* set menu page type */
@@ -612,7 +612,7 @@
 */
 
-short imfnbox(short n)
+int16_t imfnbox(int16_t n)
 {
-	register short row, col;
+	register int16_t row, col;
 
 	row = hitcy / 14;
